<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:H="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">
<head>
    <title>TP01</title>
    <link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css"
          rel="stylesheet"/>
</head>

<body>
<h:form>
    <fieldset
            class="border-blue-400 border-2 p-4 m-4 min-w-min max-w-screen-sm">
        <legend class="text-blue-400">Information Commande</legend>
        <div class="flex items-center my-2">
            <h:outputLabel for="date">
                Date <span class="text-red-400">*</span>
            </h:outputLabel>
            <h:inputText value="#{commande.date}" type="date"
                         class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                         id="date"
                         readonly="true" disabled="true"/>
        </div>

        <div class="flex items-center my-2">
            <H:outputLabel for="montant">
                Montant <span class="text-red-400">*</span>
            </H:outputLabel>
            <h:inputText validatorMessage="Valeur ne doit pas depasser 2000"
                         value="#{commande.montant}"
                         class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                         id="montant"
                         required="true">
                <f:validateLongRange maximum="2000"/>
            </h:inputText>
            <h:message class="text-green-400" for="montant"/>
        </div>


        <div class="flex items-center my-2">
            <h:outputLabel for="mode-paiement">
                Mode de paiemenet <span class="text-red-400">*</span>
            </h:outputLabel>
            <h:inputText
                    value="#{commande.modePaiement}"
                    class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                    validatorMessage="valeur doit avoir entre 6 et 20 characters"
                    id="mode-paiement" required="true">
                <f:validateLength minimum="6" maximum="20"/>
            </h:inputText>
            <h:message class="text-green-400" for="mode-paiement"/>
        </div>
        <div class="flex items-center my-2">
            <h:outputLabel for="status-paiement">
                Status de paiement
            </h:outputLabel>
            <h:inputText
                    value="#{commande.statusPaiement}"
                    class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                    id="status-paiement"
                    validatorMessage="Cette valeur est obligatoire"
                    required="true"/>
            <h:message for="status-paiement" class="text-green-400" />
        </div>
        <div class="flex items-center my-2">
            <h:outputLabel for="mode-livraison">
                Mode de livraison <span class="text-red-400">*</span>
            </h:outputLabel>
            <h:inputText
                    value="#{commande.modeLivraison}"
                    class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                    validatorMessage="valeur ne doit pas depasser 30 characters"
                    id="mode-livraison" required="true">
                <f:validateLength maximum="30"/>
            </h:inputText>
            <h:message class="text-green-400" for="mode-livraison"/>
        </div>
        <div class="flex items-center my-2">
            <h:outputLabel for="status-livraison">
                Status de livraison
            </h:outputLabel>
            <h:inputText
                    value="#{commande.statusLivraison}"
                    class="bg-gray-100 mx-2 p-1 focus:outline-none focus:ring focus:border-blue-400"
                    id="status-livraison"/>
        </div>
    </fieldset>

    <h:commandButton
            action="affichage"
            class="rounded bg-blue-400 hover:bg-blue-300 text-white p-1 m-4"
            id="submit" value="valider"/>

</h:form>
</body>
</html>